=== debian/changelog ===
deepin-manual (5.7.0.75-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Tue, 30 Mar 2021 20:41:14 +0800

deepin-manual (5.5.5) stable; urgency=medium

  * Update manual

 -- Xu Shaohua <xushaohua2016@outlook.com>  Tue, 24 Jul 2018 13:57:36 +0800

deepin-manual (2.0.9.3) stable; urgency=medium

  * Update manual 

 -- Xu Shaohua <xushaohua2016@outlook.com>  Tue, 12 Jun 2018 15:37:08 +0800

deepin-manual (2.0.9.2) stable; urgency=medium

  * Update manual

 -- Xu Shaohua <xushaohua2016@outlook.com>  Fri, 08 Jun 2018 11:18:06 +0800

deepin-manual (2.0.9.1) stable; urgency=medium

  * Update manual

 -- Xu Shaohua <xushaohua2016@outlook.com>  Fri, 08 Jun 2018 10:44:46 +0800

deepin-manual (2.0.9) stable; urgency=medium

  * Fix index layout
  * Delete unused libdxcb plugin
  * Update flatpak package name mapper

 -- Xu Shaohua <xushaohua2016@outlook.com>  Wed, 30 May 2018 14:50:28 +0800

deepin-manual (2.0.8) stable; urgency=medium

  * Show completion window on active window
  * Upgrade manual of dde-file-manager to 1.7

 -- Xu Shaohua <xushaohua2016@outlook.com>  Thu, 17 May 2018 09:35:45 +0800

deepin-manual (2.0.7.6) stable; urgency=medium

  * Update i18n

 -- Xu Shaohua <xushaohua@deepin.com>  Wed, 21 Mar 2018 16:34:19 +0800

deepin-manual (2.0.7.5) stable; urgency=medium

  * Add WebEventDelegate to override default context menu

 -- Xu Shaohua <xushaohua@deepin.com>  Wed, 21 Mar 2018 15:14:16 +0800

deepin-manual (2.0.7.4) stable; urgency=medium

  * Add DontCreateNativeWidgetSibings flag
  * Update i18n

 -- Xu Shaohua <xushaohua@deepin.com>  Wed, 21 Mar 2018 09:39:09 +0800

deepin-manual (2.0.7.3) stable; urgency=medium

  * Start new instance if failed to register dbus service

 -- Xu Shaohua <xushaohua@deepin.com>  Fri, 16 Mar 2018 13:53:28 +0800

deepin-manual (2.0.7.2) stable; urgency=medium

  * Update libdxcb plugin

 -- Xu Shaohua <xushaohua@deepin.com>  Thu, 15 Mar 2018 18:24:00 +0800

deepin-manual (2.0.7.1) stable; urgency=medium

  * Enable bundled dxcb plugin

 -- Xu Shaohua <xushaohua@deepin.com>  Thu, 15 Mar 2018 17:37:41 +0800

deepin-manual (2.0.7) stable; urgency=medium

  * Replace deepin-webengine with libqcef

 -- Xu Shaohua <xushaohua@deepin.com>  Thu, 15 Mar 2018 16:35:03 +0800

deepin-manual (2.0.6) stable; urgency=medium

  * Update i18n
  * Update manuals
  * Update icon padddings
  * Fix WindowManager::openManual() reentrent issue

 -- Xu Shaohua <xushaohua@deepin.com>  Wed, 07 Mar 2018 15:50:18 +0800

deepin-manual (2.0.5) unstable; urgency=medium

  * Update manual
  * Read manual id from desktop file
  * Do not scale svg files
  * Reorder manual list
  * Fix atttribute error of image element
  * Fix image viewer issue in hiDPI mode

 -- Xu Shaohua <xushaohua@deepin.com>  Wed, 28 Feb 2018 09:45:24 +0800

deepin-manual (2.0.4) unstable; urgency=medium

  * Update manual images
  * Fix search issue
  * Fix qt platform plugin issue
  * Fix icon alignment in index page

 -- Xu Shaohua <xushaohua@deepin.com>  Tue, 27 Feb 2018 11:15:34 +0800

deepin-manual (2.0.3) unstable; urgency=medium

  * Include libdxcb plugin
  * Be compactable with old version of dman
  * Add log manager
  * Fix global search navigation

 -- Xu Shaohua <xushaohua@deepin.com>  Thu, 08 Feb 2018 16:15:43 +0800

deepin-manual (2.0.2) unstable; urgency=medium

  * Depends on new version of dxcb plugin

 -- Xu Shaohua <xushaohua@deepin.com>  Wed, 07 Feb 2018 16:13:13 +0800

deepin-manual (2.0.1) stable; urgency=medium

  * Tuning dman-search memory usage
  * Enable HiDPI pixmap
  * Tuning global search

 -- Xu Shaohua <xushaohua@deepin.com>  Tue, 06 Feb 2018 09:29:05 +0800

deepin-manual (2.0.0) unstable; urgency=medium

  * Rewrite with Qt5

 -- Xu Shaohua <xushaohua@deepin.com>  Mon, 20 Nov 2017 13:24:03 +0800

deepin-manual (1.0.5-1) stable; urgency=low

  * Autobuild Tag 1.0.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 14:30:31 +0000

deepin-manual (1.0.3-2) stable; urgency=low

  * Rebuild Version 1.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 21:28:20 +0000

deepin-manual (1.0.3-1) stable; urgency=low

  * Autobuild Tag 1.0.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 13:04:17 +0000

deepin-manual (1.0.2-1) stable; urgency=low

  * Autobuild Tag 1.0.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Mon, 23 Nov 2015 09:00:29 +0000

deepin-manual (1.0.1-1) stable; urgency=low

  * Autobuild Tag 1.0.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 09:50:19 +0000

deepin-manual (1.0.0-1) stable; urgency=low

  * Autobuild Tag 1.0.0 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 01 Jul 2015 16:03:59 +0000

deepin-manual (0.1) trusty; urgency=medium

  * build from git. 

 -- pkg-builder <pkg-builder@packages.linuxdeepin.com>  Thu, 07 May 2015 13:05:04 +0800

deepin-manual (1:0.1) trusty; urgency=low

  * Please see the repository's changelog.

 -- Xinkai Chen <chenxinkai@linuxdeepin.com>  Mon, 23 March 2015 00:00:00 -0800
