=== debian/control ===
Source: deepin-manual
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Section: python
Priority: optional
Build-Depends:
 ca-certificates,
 cmake,
 debhelper (>= 11),
 libdtkwidget-dev,
 libdtkgui-dev,
 qtwebengine5-dev,
 libqt5webchannel5-dev,
 libsass-dev,
 libqt5sql5-sqlite,
 pkg-config,
 qttools5-dev,
 qttools5-dev-tools,
 libgtest-dev,
 libgmock-dev,
 qtbase5-private-dev,
Standards-Version: 4.5.1
Homepage: https://github.com/linuxdeepin/deepin-manual/
Vcs-Git: git://github.com/linuxdeepin/deepin-manual.git
Vcs-Browser: https://github.com/linuxdeepin/deepin-manual/


Package:deepin-manual
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libqt5core5a,
 libqt5dbus5,
 libqt5sql5-sqlite,
Recommends: qt5dxcb-plugin,
Conflicts: dde-help
Provides: dde-help
Description: Manual provides user guides of the system and applications. 
 Manual is designed to help users learn the operating system and its applications, providing specific instructions and function descriptions.
