=== debian/changelog ===
deepin-manual (5.8.3-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 16 May 2022 10:23:36 +0800
