## deepin-manual 5.8.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,4 +9,8 @@
 option(DMAN_RELEAE OFF "Install dman resources to system or not")
 
 add_subdirectory(src)
-add_subdirectory(tests)
+
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    add_subdirectory(tests)
+endif()
+
