=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -12,15 +12,20 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-#if (CMAKE_BUILD_TYPE MATCHES Debug)
-#  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Werror -Wextra")
-#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Werror -Wextra -fno-rtti -fno-exceptions")
-#  add_definitions("-DQT_MESSAGELOGCONTEXT")
-#else()
-#  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
-#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
-#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti")
-#endif()
+set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")
+
+if(CMAKE_SAFETYTEST STREQUAL "")
+    set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
+endif()
+
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")
+
+if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
+  #安全测试选项
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
+endif()
+
 
 find_package(PkgConfig REQUIRED)
 find_package(Qt5Core REQUIRED)
@@ -113,7 +118,8 @@
 
 #Include all app source files
 FILE (GLOB dmanCppFiles
-    ../src/base/*.cpp
+    ../src/base/consts.cpp
+    ../src/base/utils.cpp
     ../src/controller/*.cpp
     ../src/dbus/*.cpp
     ../src/dbus/dbusvariant/*.cpp
@@ -122,7 +128,8 @@
     ../src/view/widget/*.cpp)
 
 FILE (GLOB dmanHeaderFiles
-    ../src/base/*.h
+    ../src/base/consts.h
+    ../src/base/utils.h
     ../src/controller/*.h
     ../src/dbus/*.h
     ../src/dbus/dbusvariant/*.h
@@ -177,4 +184,4 @@
 add_dependencies(test ${PROJECT_NAME_TEST})
 
 ## 设置添加gocv相关信息的输出
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -g -fprofile-arcs -ftest-coverage -fno-inline")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -g -fprofile-arcs -ftest-coverage -fno-inline -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
