=== src/dbus/CMakeLists.txt ===
install(FILES
        com.deepin.Manual.Open.service
        com.deepin.Manual.Search.service
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services/)
