=== debian/changelog ===
deepin-manual (5.8.11-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Tue, 26 Jul 2022 14:51:50 +0800
