## deepin-manual 5.8.15

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: CC0-1.0
+
 project(deepin-manual C CXX)
 
 #set(CMAKE_C_COMPILER  /usr/bin/clang)
@@ -144,6 +148,8 @@
     base/consts.h
     base/utils.cpp
     base/utils.h
+    base/eventlogutils.h
+    base/eventlogutils.cpp
     )
 
 set(CONTROLLER_FILES
@@ -236,6 +242,8 @@
     dbus/dbusvariant/app_info.h
     controller/search_db.cpp
     controller/search_db.h
+    base/eventlogutils.h
+    base/eventlogutils.cpp
     )
 add_executable(generate-search-db
                ${SEARCH_FILES})
@@ -271,6 +279,8 @@
                 base/utils.h
                 base/consts.cpp
                 base/consts.h
+                base/eventlogutils.h
+                base/eventlogutils.cpp
                 dbus/dbus_consts.cpp
                 dbus/dbus_consts.h
                 dbus/dbusvariant/app_info.cpp
