=== src/dbus/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: CC0-1.0
+
 install(FILES
         com.deepin.Manual.Open.service
         com.deepin.Manual.Search.service
