=== src/resources/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: CC0-1.0
+
 install(FILES deepin-manual.desktop
         DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications/)
