=== debian/changelog ===
deepin-manual (5.8.15-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 17 Nov 2022 10:15:44 +0800
