=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -123,6 +123,7 @@
 FILE (GLOB dmanCppFiles
     ../src/base/consts.cpp
     ../src/base/utils.cpp
+    ../src/base/eventlogutils.cpp
     ../src/controller/*.cpp
     ../src/dbus/*.cpp
     ../src/dbus/dbusvariant/*.cpp
@@ -133,6 +134,7 @@
 FILE (GLOB dmanHeaderFiles
     ../src/base/consts.h
     ../src/base/utils.h
+    ../src/base/eventlogutils.h
     ../src/controller/*.h
     ../src/dbus/*.h
     ../src/dbus/dbusvariant/*.h
