=== debian/changelog ===
deepin-manual (6.0.5-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Fri, 31 Mar 2023 10:37:17 +0800

deepin-manual (6.0.5) stable; urgency=medium

  * Update Version 6.0.5

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 30 Mar 2023 15:40:34 +0800

deepin-manual (6.0.4) stable; urgency=medium

  * Update Version 6.0.4

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 10 Mar 2023 10:17:23 +0800

deepin-manual (6.0.3) stable; urgency=medium

  * Update Version 6.0.3

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 7 Mar 2023 11:11:35 +0800

deepin-manual (6.0.2) stable; urgency=medium

  * Update Version 6.0.2

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 16 Feb 2023 14:48:35 +0800

deepin-manual (6.0.1) stable; urgency=medium

  * V23 & V20 code merge to same branch
  * Reinital version 6.0.1

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 14 Feb 2023 15:17:35 +0800

deepin-manual (6.0.0) stable; urgency=medium

  * V23 code 
  * Adapt REUSE license

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 30 Jan 2023 17:36:35 +0800
