## deepin-manual 6.0.7

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -284,6 +284,8 @@
                 dbus/manual_search_adapter.h
                 dbus/manual_search_proxy.cpp
                 dbus/manual_search_proxy.h
+                dbus/dmanwatcher.cpp
+                dbus/dmanwatcher.h
                 base/command.cpp
                 base/command.h
                 controller/helpermanager.cpp
